Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractEditor

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.AbstractEditor

All Implemented Interfaces:
  EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIEditor

    public abstract class AbstractEditor

extends javax.faces.component.UIInput

The <rich:editor> component is used for creating a WYSIWYG editor on a page.

Author:
  Lukas Fryc

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractEditor()`

Method Summary
`abstract javax.faces.component.UIComponent` | `getConfig()` Detailed configuration of editor in JSON format
`abstract String` | `getHeight()` The hieght of the editor
`abstract String` | `getLang()` Code describing the language used in the generated markup for this component.
`abstract String` | `getOnblur()` The client-side script method to be called when the editor loses focus
`abstract String` | `getOnchange()` The client-side script method to be called on blur event when editor content has been changed after previous focus
`abstract String` | `getOndirty()` The client-side script method to be called immediately after the editor content has been changed
`abstract String` | `getOnfocus()` The client-side script method to be called when the editor receives focus
`abstract String` | `getOninit()` The client-side script method to be called once the editor is initialized and ready to be handle user interaction
`abstract String` | `getSkin()` Set the skin of the richfaces editor.
`abstract String` | `getToolbar()` Used to change the configuration of the toolbar's button set.
`abstract String` | `getWidth()` The width of the editor
`abstract boolean` | `isReadonly()` Used to switch the editor into a read-only mode.

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractEditor

    public AbstractEditor()

Method Detail

### getToolbar

    public abstract String getToolbar()

  Used to change the configuration of the toolbar's button set. There are two configurations available: basic (default), full (enables all of the features).

  It is also possible to define a custom toolbar using the CKEditor toolbar configuration in a config facet

  Default is basic

### getSkin

    public abstract String getSkin()

  Set the skin of the richfaces editor. Bundled skins include: richfaces, kama, v2, office2003

  Default is richfaces

### isReadonly

    public abstract boolean isReadonly()

  Used to switch the editor into a read-only mode.

### getWidth

    public abstract String getWidth()

  The width of the editor

### getHeight

    public abstract String getHeight()

  The hieght of the editor

### getLang

    public abstract String getLang()

  Code describing the language used in the generated markup for this component.

### getOninit

    public abstract String getOninit()

  The client-side script method to be called once the editor is initialized and ready to be handle user interaction

### getOnblur

    public abstract String getOnblur()

  The client-side script method to be called when the editor loses focus

### getOnfocus

    public abstract String getOnfocus()

  The client-side script method to be called when the editor receives focus

### getOnchange

    public abstract String getOnchange()

  The client-side script method to be called on blur event when editor content has been changed after previous focus

### getOndirty

    public abstract String getOndirty()

  The client-side script method to be called immediately after the editor content has been changed

### getConfig

    public abstract javax.faces.component.UIComponent getConfig()

  Detailed configuration of editor in JSON format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.